8 Replies Latest reply on Jun 10, 2010 3:10 PM by SeaWalker999

    Unable to patch newly upgraded EPO 4.0

    SeaWalker999

      I upgraded our EPO from 3.6.1 to 4.0 a few weeks ago.  On last maintenance opportunity, I tried installing the EPO patch 2.   The patch fails and I go to the EPO400-PatchMSI.log file and get the error information:

       

      1: Start MerMod_RunOrionANTInstaller
      1: CustomActionData loaded successfully.
      1: Loading properties into global variables was successful.
      1: Setting szWorkingDirectory to [E:\epo4\ePOCluster\bin\Installer\core]
      1: Setting Log Directory to [C:\DOCUME~1\walkerdc.nss\LOCALS~1\Temp\NAILogs\EPO400-Troubleshoot\McAfee FS Framework]
      1: Setting szTempString to [C:\DOCUME~1\walkerdc.nss\LOCALS~1\Temp\NAILogs\EPO400-Troubleshoot\McAfee FS Framework\core-patch.log]
      1: ANT Command line set as follows: "E:\epo4\EPOCLU~1\bin\jre\bin\java.exe" -Duser.language=en -Duser.country=US -Dant.home="E:\epo4\EPOCLU~1\bin\server\common\lib" -classpath "E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\ANT-LA~1.JAR;E:\epo4\EPOCLU~1\bin\INSTA L~1\core\lib\ANT-NO~1.JAR;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\ant-trax.jar;E: \epo4\EPOCLU~1\bin\INSTAL~1\core\lib\ant.jar;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\ lib\BCPROV~1.JAR;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\certj.jar;E:\epo4\EPOCLU ~1\bin\INSTAL~1\core\lib\jsafe.jar;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\jsafeJ CE.jar;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\ORION-~1.JAR;E:\epo4\EPOCLU~1\bin\ INSTAL~1\core\lib\ORION-~2.JAR;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\rsajsse.ja r;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\rsamisc.jar;E:\epo4\EPOCLU~1\bin\INSTAL ~1\core\lib\saxon9.jar;E:\epo4\EPOCLU~1\bin\INSTAL~1\core\lib\sslj.jar" org.apache.tools.ant.launch.Launcher upgrade -logfile "C:\DOCUME~1\walkerdc.nss\LOCALS~1\Temp\NAILogs\EPO400-Troubleshoot\McAfee FS Framework\core-patch.log"
      1: FAILURE: In LaunchAppAndWait while trying to run the following program:
      "E:\epo4\EPOCLU~1\bin\jre\bin\java.exe"

      Return code: 1
      Error Message: Incorrect function.

      InstallShield 19:21:50: Setup aborted

       

       

      Looking in the core-patch.log I find:

       

      upgrade-server-xml:
           [xslt] Processing E:\epo4\EPOCLU~1\bin\server\conf\server.xml to E:\epo4\EPOCLU~1\bin\server\conf\server-modified.xml
           [xslt] Loading stylesheet E:\epo4\ePOCluster\bin\Installer\core\scripts\upgrade-server.xsl
           [xslt] Failed to process E:\epo4\EPOCLU~1\bin\server\conf\server.xml

      BUILD FAILED
      E:\epo4\ePOCluster\bin\Installer\core\build.xml:454: java.io.FileNotFoundException: E:\epo4\ePOCluster\bin\Installer\core\scripts\upgrade-server.xsl (The system cannot find the path specified)

       

      Can someone assist?  I urgently need to figure out how to patch the server so that I can add extensions.